--- title: "Get Firewall Policies in a Domain" slug: "get-firewall-policies-in-a-domain" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:30Z published: 2026-09-23T09:38:30Z canonical: "docs.trellix.com/get-firewall-policies-in-a-domain" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Firewall Policies in a Domain This URL gets the list of firewall policies defined in a particular domain. ## Resource URL GET /domain// firewallpolicy ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | FirewallPoliciesForDomainResponseList | List of firewall policies defined in the domain | Array | Details of FirewallPoliciesForDomainResponseList: | Field Name | Description | Data Type | | --- | --- | --- | | policyName | Name of the firewall policy | String | | VisibleToChild | Is policy visible to child domains | Boolean | | Description | Policy description | String | | IsEditable | Is policy editable or not | Number | | lastModUser | Last user that modified the policy | String | | PolicyType | Policy type, can be "ADVANCED" or "CLASSIC" | String | | policyId | Firewall policy unique id | Number | | domainId | Domain id | Number | | policyVersion | Policy version | Number | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/domain/0/firewallpolicy](https://%3CNSM_IP%3E/sdkapi/domain/0/firewallpolicy) **Response** ``` {        "FirewallPoliciesForDomainResponseList": [{                "policyId": 107,                "policyName": "Port_FirewallPolicy",                "domainId": 0,                "visibleToChild": false,                "description": "Firewall Policy for Port",                "isEditable": true,                "policyType": "CLASSIC",                "policyVersion": 1,                "lastModUser": "admin"        },        {                "policyId": 105,                "policyName": "Interface_FirewallPolicy",                "domainId": 0,                "visibleToChild": true,                "description": "Firewall Policy for Interface",                "isEditable": true,                "policyType": "ADVANCED",                "policyVersion": 1,                "lastModUser": "admin"        },        {                "policyId": 103,                "policyName": "Sensor_Post_FirewallPolicy",                "domainId": 0,                "visibleToChild": false,                "description": "Firewall Policy for Sensor Post",                "isEditable": true,                "policyType": "CLASSIC",                "policyVersion": 1,                "lastModUser": "admin"        },        {                "policyId": 101,                "policyName": "Sensor_Pre_FirewallPolicy",                "domainId": 0,                "visibleToChild": true,                "description": "Firewall Policy for Sensor Pre",                "isEditable": true,                "policyType": "ADVANCED",                "policyVersion": 1,                "lastModUser": "admin"        }] } ```   ## Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |